###############################################################################
# iCEView configuration file
# Written by Friar TuckúiCE
#
#
# Valid Modes: TEXT25,TEXT50,VGA320,SVGA640,SVGA800,SVGA1024
# *** not implemented
DefaultMode=VGA320

# Bad video modes. Don't use these.
# *** not implemented
BadMode=SVGA400

#
# Some variable defaults
#
# This makes the smooth scrolling portion automatically start down.
AutoScroll=YES

# This enables/disables the smooth scroller. If disabled, uses ANIM parser.
SmoothScroll=YES

# This includes iCECOLOR support.
IceColor=YES

# This makes the menu automagically track extension type.
TrackType=NO

# This is for Tseng ET4000 vidcards. NOTICE it completely disables VGAW.
VGABugFix=NO

# This controls the debug window and pause.
DebugMode=NO

# This is to specify if the status bar is default on or off.
StatusBar=NO

# This turns off alphabetizing the list, as well as the letter hotkeys.
Alphabetize=YES

# Turn off if it's gonna take six weeks to run SAUCE.
SAUCEDetect=YES

# You feel like gambling?
DeleteConfirm=YES

# Virus check all .EXEs?
CRCCheck=YES

# Allow swap to EMS?
EMS_Swap=YES

# Display speeds for text mode (scan lines/retrace)
TextStart=8
TextFast=48
TextSlow=24

#
# Types of files: RIP,ANSI,ANIM,GIF,JPEG,PCX
#
Extension=.ICE,ANSI
Extension=.MEM,ANSI
Extension=.NFO,ANSI
Extension=.ANS,ANSI
Extension=.DOC,ANSI
Extension=.ASC,ANSI
Extension=.SIT,ANSI
Extension=.STS,ANSI
Extension=.GIF,GIF
Extension=.RIP,RIP

#
# Filename for Description File
DescriptFile=*.DSC

#
# Backup if no COMSPEC environment variable found (for DOS shell)
ComSpec=C:\DOS\COMMAND.COM

#
# File patterns to exclude from file list. Uses UNIX wildcards.
# Does not affect DIR or DRIVE list.

# Exclude iCEView, ACiDView, etc.
Exclude=*VIEW*EXE*

# Exclude KV.EXE, TV.EXE, XV.EXE etc.
Exclude=?V*EXE

# Inclusions
Include=*.ICE
Include=*.MEM
Include=*.NFO
Include=*.ANS
Include=*.DOC
Include=*.ASC
Include=*.SIT
Include=*.STS
Include=*.BIN
Include=*.GIF
Include=*.IDF       # iCEDraw Format
Include=*.EXE
Include=*.COM
Include=*.JPG
Include=*.PCD
Include=*.ICO
Include=*.EPS
Include=*.WPG
Include=*.IMG
Include=*.MSP
Include=*.MAC
Include=*.RIX
Include=*.VMG
Include=*.FLM
Include=*.PNM
Include=*.PCC
Include=*.PBM
Include=*.CEG
Include=*.VI
Include=*.TIF
Include=*.IFF
Include=*.LBM
Include=*.CUT
Include=*.BMP
Include=*.PCX
Include=*.PIC
Include=*.TGA
Include=*.RLE
Include=*.DCX
Include=*.RAS
Include=*.PMC
Include=*.ANI
Include=*.DAT
Include=*.SCR
Include=*.RAW
Include=*.SFI
Include=*.SGF
Include=*.BAT
Include=*.HLP
Include=*.LST
Include=*.SAT
Include=*.CVP
Include=*.FLI
Include=*.FLC
Include=*.DL
Include=*.GL
Include=*.SLD
Include=*.AVI

# I have these set to play through DMP
# Include=*.S3M
# Include=*.MOD

# Look ma! ZIP viewing and shit!
Include=*.ZIP

###############################################################################
# External protocols
# format: External=EXTENSION:COMMANDLINE
#
# $F = filename
# A trailing "=" indicates a pause after running.
#
# Any programs referenced here MUST be on the path, or have a full path
# specified.
#
External=*.JPG:PV $F

# Archivers...
External=*.ZIP:PKZIP -V $F =
#External=*.S3M:DMP $F
#External=*.MOD:DMP $F
External=*.JPG:PV $F
External=*.ICO:PV $F
External=*.EPS:PV $F
External=*.WPG:PV $F
External=*.IMG:PV $F
External=*.MSP:PV $F
External=*.MAC:PV $F
External=*.RIX:PV $F
External=*.VMG:PV $F
External=*.FLM:PV $F
External=*.PNM:PV $F
External=*.PCC:PV $F
External=*.PBM:PV $F
External=*.ACB:PV $F
External=*.CEG:PV $F
External=*.VI:PV $F
External=*.DCX:PV $F
External=*.RAS:PV $F
External=*.PMC:PV $F
External=*.ANI:PV $F
External=*.DAT:PV $F
External=*.SCR:PV $F
External=*.RAW:PV $F
External=*.SFI:PV $F
External=*.SGF:PV $F
External=*.TXT:PV $F
External=*.DOC:PV $F
External=*.BAT:PV $F
External=*.HLP:PV $F
External=*.LST:PV $F
External=*.SAT:PV $F
External=*.CVP:PV $F
External=*.FLI:PV $F
External=*.FLC:PV $F
External=*.DL:PV $F
External=*.GL:PV $F
External=*.SLD:PV $F
External=*.AVI:PV $F
External=*.TIF:PV $F
External=*.IFF:PV $F
External=*.LBM:PV $F
External=*.CUT:PV $F
External=*.BMP:PV $F
External=*.PCX:PV $F
External=*.PIC:PV $F
External=*.TGA:PV $F
External=*.RLE:PV $F

# End ICEVIEW.CNF
